package cz.muni.fi.dao;

import cz.muni.fi.domain.DisagreedFeatureRate;
import cz.muni.fi.domain.Feature;
import cz.muni.fi.domain.FeatureRating;
import cz.muni.fi.domain.Participant;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 1.3.12
 */
public interface DisagreedFeatureRateDao {
    public DisagreedFeatureRate findById(Long id);

    public void save(DisagreedFeatureRate disagreedFeatureRate);

    public DisagreedFeatureRate update(DisagreedFeatureRate disagreedFeatureRate);

    public void delete(DisagreedFeatureRate disagreedFeatureRate);

    List<DisagreedFeatureRate> getAllDisagreedFeatureRates(Feature feature);

    List<DisagreedFeatureRate> getAllDisagreedFeatureRates(Participant participant);

}
