package cz.muni.fi.dao;


import cz.muni.fi.domain.Form;
import cz.muni.fi.domain.Period;

import java.util.List;

public interface FormDao {
    public Form findById(Long id);

    public void save(Form form);

    public Form update(Form form);

    public void delete(Form form);

    public List<Form> getAllForms();

    Form findByHash(String hash);

    List<Form> getAllForms(Period period);

}
