package cz.muni.fi.dao;

import cz.muni.fi.domain.Organization;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 12.8.11
 */
public interface OrganizationDao {

    public Organization findById(Long id);

    public void save(Organization organization);

    public Organization update(Organization organization);

    public void delete(Organization organization);

    public List<Organization> getAllActiveOrganizations();

    public List<Organization> getAllOrganizations();

    Organization findByIdNumber(String idNumber);
}
