package cz.muni.fi.util;

import cz.muni.fi.domain.Feature;

import java.util.Comparator;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 25.1.12
 */
public class FeatureParentComparator implements Comparator<Feature> {

    @Override
    public int compare(Feature o1, Feature o2) {
        if (o1.getParent() == null) {
            if (o2.getParent() == null) {
                return (int) (o1.getId() - o2.getId());
            } else {
                return -1;
            }
        } else {
            if (o2.getParent() == null) {
                return 1;
            } else {
                if (!o1.getParent().equals(o2.getParent())) {
                    return (int) (o1.getParent().getId() - o2.getParent().getId());
                } else {
                    return (int) (o1.getId() - o2.getId());
                }
            }
        }
    }
}
