package cz.muni.fi.validation;

import cz.muni.fi.domain.Organization;
import org.springframework.util.StringUtils;
import org.springframework.validation.BindingResult;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 8.11.11
 */
public class OrganizationValidator {
    public void validate(Organization organization, BindingResult result) {
        if (!StringUtils.hasLength(organization.getName())) {
            result.rejectValue("name", "required", "required");
        }
        if (!StringUtils.hasLength(organization.getIdNumber())) {
            result.rejectValue("idNumber", "required", "required");
        }
    }
}

