package cz.muni.fi.web;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpSession;
import java.util.HashMap;
import java.util.Map;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 16.11.11
 */
@Controller
public class WelcomeController {

    protected final Log logger = LogFactory.getLog(getClass());

    @RequestMapping("/")
    public ModelAndView rootHandler(HttpSession session) {
        logger.debug("Rendering root view");
        Map<String, Object> model = new HashMap<String, Object>();
        model.put("info", session.getAttribute("info"));
        session.removeAttribute("info");
        Object period = session.getAttribute("sessionPeriod");
        return new ModelAndView("welcome", model);
    }

}
