package cz.muni.fi.wrapper;

import cz.muni.fi.domain.Feature;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 9.1.12
 */
public class FeatureWrapper {

    private Feature feature;

    private boolean canBeDeleted;

    public Feature getFeature() {
        return feature;
    }

    public void setFeature(Feature feature) {
        this.feature = feature;
    }

    public boolean isCanBeDeleted() {
        return canBeDeleted;
    }

    public void setCanBeDeleted(boolean canBeDeleted) {
        this.canBeDeleted = canBeDeleted;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof FeatureWrapper)) return false;

        FeatureWrapper that = (FeatureWrapper) o;

        if (feature != null ? !feature.equals(that.feature) : that.feature != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return feature != null ? feature.hashCode() : 0;
    }
}
