package cz.muni.fi.wrapper;

import cz.muni.fi.domain.Feature;
import cz.muni.fi.domain.Participant;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 13.8.11
 */
public class FormPairWrapper {


    private Participant student;

    private Participant manager;

    private List<Feature> featureList;

    public Participant getStudent() {
        return student;
    }

    public void setStudent(Participant student) {
        this.student = student;
    }

    public Participant getManager() {
        return manager;
    }

    public void setManager(Participant manager) {
        this.manager = manager;
    }

    public List<Feature> getFeatureList() {
        return featureList;
    }

    public void setFeatureList(List<Feature> featureList) {
        this.featureList = featureList;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        FormPairWrapper that = (FormPairWrapper) o;

        if (manager != null ? !manager.equals(that.manager) : that.manager != null) return false;
        if (student != null ? !student.equals(that.student) : that.student != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = student != null ? student.hashCode() : 0;
        result = 31 * result + (manager != null ? manager.hashCode() : 0);
        return result;
    }
}
