package cz.muni.fi.wrapper;

import cz.muni.fi.domain.Organization;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 8.1.12
 */
public class OrganizationWrapper {

    private Organization organization;

    private boolean canBeDeleted;

    public Organization getOrganization() {
        return organization;
    }

    public void setOrganization(Organization organization) {
        this.organization = organization;
    }

    public boolean isCanBeDeleted() {
        return canBeDeleted;
    }

    public void setCanBeDeleted(boolean canBeDeleted) {
        this.canBeDeleted = canBeDeleted;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof OrganizationWrapper)) return false;

        OrganizationWrapper that = (OrganizationWrapper) o;

        if (organization != null ? !organization.equals(that.organization) : that.organization != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return organization != null ? organization.hashCode() : 0;
    }
}
