<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<%-- page import="org.springframework.security.ui.AbstractProcessingFilter" --%>
<%-- page import="org.springframework.security.ui.webapp.AuthenticationProcessingFilter" --%>
<%-- page import="org.springframework.security.AuthenticationException" --%>


<h1>
    <fmt:message key="login"/>
</h1>


<div class="formField" style="width:56%;margin-bottom:20px;margin-left:0">
    <c:if test="${model.error}">
        <p class="errorMessage">
            <fmt:message key="login.error"/>
        </p>
    </c:if>
    <c:if test="${model.logout}">
        <p class="okMessage">
            <fmt:message key="logout.success"/>
        </p>
    </c:if>

    <form name="loginForm" action="<c:url value='j_spring_security_check'/>" method="post">
        <div class="formLine">
            <div class="formValue">
                <div class="formFieldDescription">
                    <fmt:message key="user"/>:
                </div>
            </div>
            <div class="formValue" style="float:left;">
                <input type='text' name='j_username'    style="width:100%"
                       value='<c:if test="${not model.error}"><c:out value="${SPRING_SECURITY_LAST_USERNAME}"/></c:if>'/>
            </div>
        </div>
        <div class="clear"></div>
        <div class="formLine">
            <div class="formValue">
                <div class="formFieldDescription">
                    <fmt:message key="password"/>:
                </div>
            </div>
            <div class="formValue">
                <input type='password' name='j_password' style="width:100%"/>
            </div>
        </div>
        <div class="clear"></div>
        <div class="formLine">
            <div class="submit" style="margin-bottom:10px">
                <input name="submit" type="submit" value="<fmt:message key="login.button"/>"/>
            </div>
        </div>
        <div class="clear"></div>
    </form>
</div>
<script type="text/javascript" language="JavaScript">
    document.forms['loginForm'].elements['j_username'].focus();
</script>

</div>
</body>
</html>