<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<c:set var="method" value="post"/>

<h2>

</h2>

<div id="content">
    <c:if test="${not empty sessionPeriod}">
        <div class="back buttonTop">
            <a href="list">
                <fmt:message key="back"/>
            </a>
        </div>
    </c:if>

    <div class="formField" style="float:left">
        <div class="formLine formHeader">
            <h3 style="margin:1px;color:inherit;text-shadow:inherit;"><fmt:message key="period.new"/></h3>
        </div>
        <form:form modelAttribute="period" method="${method}">
            <div class="formLine">
                <div class="formValue" style="margin-left:8% ">
                    <div class="formFieldDescription">
                        <fmt:message key="description"/>
                        <form:errors path="description" cssClass="errors"/>
                    </div>
                    <form:input path="description" maxlength="100" style="width:100%"/>
                </div>
                <div class="formValue" style="width:35%; margin-left:10%">
                    <div class="formFieldDescription">
                        <fmt:message key="year"/>
                        <form:errors path="year" cssClass="errors"/>
                    </div>
                    <form:input path="year" maxlength="4" style="width:100%"/>
                </div>
            </div>
            <div class="formLine">
                <div class="formValue" style="width:95%">
                    <div class="formFieldDescription">
                        <fmt:message key="note"/>
                        <form:errors path="note" cssClass="errors"/>
                    </div>
                    <form:textarea path="note" style="width:100%" rows="3"/>
                </div>
            </div>
            <div class="formLine" style="margin-left:35%">
                <div class="formValue submit">
                    <input type="submit" value="<fmt:message key="period.add"/>"/>
                </div>
            </div>
    </div>
    <div class="clear"></div>
    </form:form>
</div>


<%@ include file="/WEB-INF/jsp/footer.jsp" %>