package cz.muni.fi.dao;

import cz.muni.fi.domain.Form;
import cz.muni.fi.domain.FormPair;
import cz.muni.fi.domain.Organization;
import cz.muni.fi.domain.Period;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 12.8.11
 */
public interface FormPairDao {

    public FormPair findById(Long id);

    public void save(FormPair formPair);

    public FormPair update(FormPair formPair);

    public void delete(FormPair formPair);

    public List<FormPair> getAllFormPairs();

    public FormPair findByForm(Form form);

    List<FormPair> getAllFormPairs(Period period);

    List<FormPair> getAllFormPairs(Period period,Organization organization);

    List<FormPair> getAllFormPairs(Organization organization);
}
