package cz.muni.fi.dao;

import cz.muni.fi.domain.Period;
import cz.muni.fi.exception.DataIntegrityViolationException;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 21.11.11
 */
public interface PeriodDao {

    List<Period> getAllPeriods();

    Period getById(Long id);

    void save(Period period);

    Period update(Period period);

    void delete(Period period);

    Period getCurrrent() throws DataIntegrityViolationException;
}
