package cz.muni.fi.dao;

import cz.muni.fi.domain.Authority;
import cz.muni.fi.domain.Period;
import cz.muni.fi.domain.User;

import java.util.List;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 25.10.11
 */
public interface UserDao {

    public User findById(String id);

    public void save(User user);

    public User update(User user);

    public void delete(User user);

    public List<User> getAllUsers();

    List<User> getAllUsersWithSelectedPeriod(Period period);

}
