package cz.muni.fi.domain;

import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.ManyToOne;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 9.8.11
 */
@Entity
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
public class Manager extends Participant {

    @ManyToOne
    private Organization organization;

    public Organization getOrganization() {
        return organization;
    }

    public void setOrganization(Organization organization) {
        this.organization = organization;
    }

    public String getNameWithOrg() {
        return this.toString();
    }

    @Override
    public String toString() {
        return getFullName() + " (" + organization.getName() + ")";
    }
}
