package cz.muni.fi.validation;

import cz.muni.fi.wrapper.UploadFileWrapper;
import org.springframework.validation.BindingResult;
import org.springframework.validation.Errors;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 14.11.11
 */
public class FileWrapperValidator {
    public void validate(UploadFileWrapper uploadFileWrapper,Errors errors) {
        if (uploadFileWrapper.getFile().getSize() == 0) {
            errors.rejectValue("file", "file.required", "non empty file is required");
        }
    }
}
