package cz.muni.fi.validation;

import cz.muni.fi.wrapper.FormPairWrapper;
import org.springframework.validation.Errors;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 13.8.11
 */
public class FormPairValidator {
    public void validate(FormPairWrapper pair, Errors errors) {
        if (pair.getFeatureList() == null ||pair.getFeatureList().size() == 0) {
            errors.rejectValue("featureList", "required", "required");
        }
        if (pair.getManager() == null) {
            errors.rejectValue("manager","required","required");
        }
        if (pair.getStudent() == null) {
            errors.rejectValue("student","required","required");
        }
    }
}
