package cz.muni.fi.wrapper;

import cz.muni.fi.domain.Participant;

import java.io.Serializable;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 4.11.11
 */
public class ParticipantWrapper implements Serializable{

    private Participant participant;

    private boolean canBeDeleted;
    
    private int rating;

    public Participant getParticipant() {
        return participant;
    }

    public void setParticipant(Participant participant) {
        this.participant = participant;
    }

    public boolean isCanBeDeleted() {
        return canBeDeleted;
    }

    public void setCanBeDeleted(boolean canBeDeleted) {
        this.canBeDeleted = canBeDeleted;
    }

    public int getRating() {
        return rating;
    }

    public void setRating(int rating) {
        this.rating = rating;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof ParticipantWrapper)) return false;

        ParticipantWrapper that = (ParticipantWrapper) o;

        if (participant != null ? !participant.equals(that.participant) : that.participant != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return participant != null ? participant.hashCode() : 0;
    }
}
