package cz.muni.fi.wrapper;

import cz.muni.fi.domain.Period;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 30.11.11
 */
public class PeriodDetail {

    private Period period;

    private int numberOfForms;

    public Period getPeriod() {
        return period;
    }

    public void setPeriod(Period period) {
        this.period = period;
    }

    public int getNumberOfForms() {
        return numberOfForms;
    }

    public void setNumberOfForms(int numberOfForms) {
        this.numberOfForms = numberOfForms;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof PeriodDetail)) return false;

        PeriodDetail that = (PeriodDetail) o;

        if (period != null ? !period.equals(that.period) : that.period != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return period != null ? period.hashCode() : 0;
    }
}
