package cz.muni.fi.wrapper;

import cz.muni.fi.domain.Organization;
import cz.muni.fi.domain.Period;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 27.12.11
 */
public class PeriodOrganizationWrapper {
    private Period period;

    private Organization organization;

    private boolean aggregate;

    public boolean isAggregate() {
        return aggregate;
    }

    public void setAggregate(boolean aggregate) {
        this.aggregate = aggregate;
    }

    public Period getPeriod() {
        return period;
    }

    public void setPeriod(Period period) {
        this.period = period;
    }

    public Organization getOrganization() {
        return organization;
    }

    public void setOrganization(Organization organization) {
        this.organization = organization;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof PeriodOrganizationWrapper)) return false;

        PeriodOrganizationWrapper that = (PeriodOrganizationWrapper) o;

        if (organization != null ? !organization.equals(that.organization) : that.organization != null) return false;
        if (period != null ? !period.equals(that.period) : that.period != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = period != null ? period.hashCode() : 0;
        result = 31 * result + (organization != null ? organization.hashCode() : 0);
        return result;
    }
}
