package cz.muni.fi.wrapper;

import cz.muni.fi.domain.Period;

/**
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 * @version 26.11.11
 */
public class PeriodWrapper {
    private Period period;

    private boolean canBeDeleted;

    public boolean isCanBeDeleted() {
        return canBeDeleted;
    }

    public void setCanBeDeleted(boolean canBeDeleted) {
        this.canBeDeleted = canBeDeleted;
    }

    public Period getPeriod() {
        return period;
    }

    public void setPeriod(Period period) {
        this.period = period;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof PeriodWrapper)) return false;

        PeriodWrapper that = (PeriodWrapper) o;

        if (period != null ? !period.equals(that.period) : that.period != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        return period != null ? period.hashCode() : 0;
    }

   /* public String toString() {
        return period.getId().toString();
    }*/
}
