<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<h2>
    <fmt:message key="disagreements.feature"/>
</h2>
<h3>
    <fmt:message key="feature"/>:
    <c:out value="${subject.name}"/>
</h3>

<div id="content">
    <div class="back buttonTop">
        <a href="javascript: history.go(-1)">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:if test="${not empty sessionMessage}">
    <div class="${sessionMessage.cssClass} wide" style="margin-top:0px;margin-left:5%; margin-bottom:20px;">
        <fmt:message key="${sessionMessage.key}"/>
    </div>
    </c:if>

    <c:if test="${empty list}">
        <fmt:message key="no.data"/>
    </c:if>
    <c:if test="${not empty list}">
    <div class="round">
        <table class="table1 roundedTable" style="width:100%">
            <thead>
            <tr>
                <th>
                    <fmt:message key="student"/>
                </th>
                <th >
                    <fmt:message key="manager"/>
                </th>
            </tr>
            </thead>
            <tbody>
            <c:forEach var="item" items="${list}">
                <tr>
                    <td>
                        <c:out value="${item.student.fullName}"/>
                    </td>
                    <td>
                       <c:out value="${item.manager.fullName}"/>
                        ( <c:out value="${item.manager.organization.name}"/>)
                    </td>
                </tr>
            </c:forEach>
            </tbody>
        </table>
    </div>
    </c:if>
<%@ include file="/WEB-INF/jsp/footer.jsp" %>