<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>

<h2>
    <fmt:message key="disagreements.user"/>
</h2>
<h3>
    <fmt:message key="user.name"/>:
    <c:out value="${subject.fullName}"/>
</h3>

<div id="content">
    <div class="back buttonTop">
        <a href="javascript: history.go(-1)">
            <fmt:message key="back"/>
        </a>
    </div>

    <c:if test="${not empty sessionMessage}">
    <div class="${sessionMessage.cssClass} wide" style="margin-top:0px;margin-left:5%; margin-bottom:20px;">
        <fmt:message key="${sessionMessage.key}"/>
    </div>
    </c:if>

    <c:if test="${empty list}">
     <fmt:message key="no.data"/>
    </c:if>
    <c:if test="${not empty list}">
    <div class="round">
        <table class="table1 roundedTable" style="width:100%">
            <thead>
            <tr>
                <th>
                    <fmt:message key="feature"/>
                </th>
                <th style="width:20%">
                    <fmt:message key="feature.detail"/>
                </th>
            </tr>
            </thead>
            <tbody>
            <c:forEach var="item" items="${list}">
                <tr>
                    <td style="text-align: left; padding-left:15px; ">
                       <c:out value="${item.feature.name}"/>
                    </td>
                    <td>
                        <spring:url value="/features/{featureId}" var="ownerUrl">
                            <spring:param name="featureId" value="${item.feature.id}"/>
                        </spring:url>
                        <a href="${fn:escapeXml(ownerUrl)}" style="font-size: 10px">
                            <fmt:message key="display"/>
                        </a>
                    </td>
                </tr>
            </c:forEach>
            </tbody>
        </table>
    </div>
    </c:if>
<%@ include file="/WEB-INF/jsp/footer.jsp" %>