<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <link rel="stylesheet" href="<spring:url value="/static/styles/petclinic.css" htmlEscape="true" />"
          type="text/css"/>
    <link rel="icon" type="image/vnd.microsoft.icon" href="<spring:url value="/static/images/favicon.ico" htmlEscape="true" />">
    <title>
        <fmt:message key="title"/>
    </title>
    <script src="<spring:url value="/static/scripts/jquery.js" htmlEscape="true"/>"
            type="text/javascript"></script>
    <script src="<spring:url value="/static/scripts/jquery.MetaData.js" htmlEscape="true"/>"
            type="text/javascript"></script>
    <script src="<spring:url value="/static/scripts/jquery.rating.js" htmlEscape="true"/>"
            type="text/javascript"></script>
    <script src="<spring:url value="/static/scripts/jquery.flot.js" htmlEscape="true"/>"
            type="text/javascript"></script>
    <script src="<spring:url value="/static/scripts/jquery.flot.pie.js" htmlEscape="true"/>"
            type="text/javascript"></script>
    <script src="<spring:url value="/static/scripts/jquery.fileinput.js" htmlEscape="true"/>"
            type="text/javascript"></script>
    <script src="<spring:url value="/static/scripts/evalin.js" htmlEscape="true"/>"
            type="text/javascript"></script>

    <link href="<spring:url value="/static/styles/jquery.rating.css" htmlEscape="true"/>"
          type="text/css" rel="stylesheet"/>
    <script type="text/javascript">
        $(document).ready(function () {
            // Enhance tables
            $('tr:even').toggleClass("even", true);
            $('tr:odd').toggleClass("odd", true);

            /**
             * Table renderer - enhance table by corners
             */
            function tableCornerEnhancer(index, table) {
                $(table).find("th:first").toggleClass("upperLeftCorner", true);
                $(table).find("th:last").toggleClass("upperRightCorner", true);
                $(table).find("tr:last>td:first").toggleClass("lowerLeftCorner", true);
                $(table).find("tr:last>td:last").toggleClass("lowerRightCorner", true);
            }

            $.each($('table.roundedTable'), tableCornerEnhancer);

        });
    </script>
</head>

<body>
<div id="main">
    <c:if test="${not empty sessionPeriod}">
    <div class="header">
        <div class="homeInHeader">
            <a href="<spring:url value="/" htmlEscape="true"/>" title="<fmt:message key="home"/>">
                <div class="homePicture"></div>
            </a>
        </div>
        <div class="periodInHeader buttonTop">
            <a href="<spring:url value="/periods/list"/>"
               title="<fmt:message key="period.change"/>">
                <c:out value="${sessionPeriod}"/>
            </a>
        </div>
        <div class="clear"></div>
    </div>
    </c:if>

