<%@ include file="/WEB-INF/jsp/includes.jsp" %>
<%@ include file="/WEB-INF/jsp/header.jsp" %>
<c:set var="method" value="post"/>

<h2>
    <fmt:message key="period.info"/> - <c:out value="${detail.period}"/>
</h2>

<div id="content">
    <div class="back buttonTop">
        <a href="list">
            <fmt:message key="back"/>
        </a>
    </div>

    <div class="detailField">
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="description"/>:
            </div>
            <div class="detailValue">
                <c:out value="${detail.period.description}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="year"/>:
            </div>
            <div class="detailValue">
                <c:out value="${detail.period.year}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="note"/>:
            </div>
            <div class="detailValue">
                <c:out value="${detail.period.note}"/>
            </div>
        </div>
        <div class="detailLine">
            <div class="detailTitle">
                <fmt:message key="period.forms"/>:
            </div>
            <div class="detailValue">
                <c:out value="${detail.numberOfForms}"/>
            </div>
        </div>
        <div style="margin-bottom:13px;"></div>
        <div class="clear">
        </div>
    </div>
    <div class="clear"></div>
</div>

<%@ include file="/WEB-INF/jsp/footer.jsp" %>
